package com.sunxung.factoring.entity.fundmanagement.vo;

import com.sunxung.factoring.entity.sys.FileStorage;

import java.util.Date;
import java.util.List;

/**
 * @Description : 客户支用前端Vo类
 * @Author : L.Jia
 * @Date: 2023-02-24 09:45
 */
public class FinancialCustomerExpenditureDetailVo {

    /**
     * id
     **/
    private Long id;

    /**
     * 是否提交 默认0否 1是
     **/
    private Integer submit;

    /**
     * 流程id
     **/
    private String taskId;

    /**
     * 客户名称
     **/
    private String customerName;

    /**
     * 放款金额
     **/
    private String loanAmountTotal;

    /**
     * 币种
     */
    private String currencyCode;

    /**
     * 放款日期
     **/
    private List<Date> loanDateList;

    /**
     * 到期日
     **/
    private Date expireDate;

    /**
     * 上游信息是否展示 true:展示、false:不展示
     **/
    private Boolean upstreamShow;

    /**
     * 上游信息
     **/
    private List<UpstreamDetailVo> upstreamDetailList;

    /**
     * 下游信息
     **/
    private List<DownstreamDetailVo> downstreamDetailList;

    /**
     * 合同附件
     **/
    private List<FileStorage> attachmentFiles;

    /**
     * 其它附件
     **/
    private List<FileStorage> otherFiles;

    /**
     * 合同附件Id
     **/
    private List<Long> attachmentFileIds;

    /**
     * 其它附件
     **/
    private List<Long> otherFileIds;

    /**
     * 合同清单附件Id
     */
    private List<Long> contractChecklistFileIds;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getLoanAmountTotal() {
        return loanAmountTotal;
    }

    public void setLoanAmountTotal(String loanAmountTotal) {
        this.loanAmountTotal = loanAmountTotal;
    }

    public List<Date> getLoanDateList() {
        return loanDateList;
    }

    public void setLoanDateList(List<Date> loanDateList) {
        this.loanDateList = loanDateList;
    }

    public Date getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(Date expireDate) {
        this.expireDate = expireDate;
    }

    public Boolean getUpstreamShow() {
        return upstreamShow;
    }

    public void setUpstreamShow(Boolean upstreamShow) {
        this.upstreamShow = upstreamShow;
    }

    public List<UpstreamDetailVo> getUpstreamDetailList() {
        return upstreamDetailList;
    }

    public void setUpstreamDetailList(List<UpstreamDetailVo> upstreamDetailList) {
        this.upstreamDetailList = upstreamDetailList;
    }

    public List<DownstreamDetailVo> getDownstreamDetailList() {
        return downstreamDetailList;
    }

    public void setDownstreamDetailList(List<DownstreamDetailVo> downstreamDetailList) {
        this.downstreamDetailList = downstreamDetailList;
    }

    public List<FileStorage> getAttachmentFiles() {
        return attachmentFiles;
    }

    public void setAttachmentFiles(List<FileStorage> attachmentFiles) {
        this.attachmentFiles = attachmentFiles;
    }

    public List<FileStorage> getOtherFiles() {
        return otherFiles;
    }

    public void setOtherFiles(List<FileStorage> otherFiles) {
        this.otherFiles = otherFiles;
    }

    public Integer getSubmit() {
        return submit;
    }

    public void setSubmit(Integer submit) {
        this.submit = submit;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public List<Long> getAttachmentFileIds() {
        return attachmentFileIds;
    }

    public void setAttachmentFileIds(List<Long> attachmentFileIds) {
        this.attachmentFileIds = attachmentFileIds;
    }

    public List<Long> getOtherFileIds() {
        return otherFileIds;
    }

    public void setOtherFileIds(List<Long> otherFileIds) {
        this.otherFileIds = otherFileIds;
    }

    public String getCurrencyCode() {
        return currencyCode;
    }

    public void setCurrencyCode(String currencyCode) {
        this.currencyCode = currencyCode;
    }

    public List<Long> getContractChecklistFileIds() {
        return contractChecklistFileIds;
    }

    public void setContractChecklistFileIds(List<Long> contractChecklistFileIds) {
        this.contractChecklistFileIds = contractChecklistFileIds;
    }
}
